Subject: RE: Request for information on using T.30/T.37/T.38 with SIP/SDP/ RTP

From: Jean-Francois Mule <[email-masked]>
Date: Fri, 27 Oct 2000 14:26:16 -0700

Jim,
There is an Internet-Draft on SIP and T.38 fax calls at
http://search.ietf.org/internet-drafts/draft-mule-sip-t38callflows-00.txt
It deals with how to negotiate a t.38 fax calls using sip as a signaling
protocol (including switch over from audio/rtp to data/t38), the SDP
attributes that itu-t sg-8 has registered with IANA.  Comments are
appreciated on this Internet-Draft.

> o    specification of T.30/T.37/T.38 payload formats for RTP and other
> transport
> protocols; and

To my knowledge, T.38 and T.37 recommendations do not rely on RTP
encapsulation.  
For T.38, see itu-t t.38 specification (t.38 IFP fax packets can be carried
over TCP or UDP and for UDP, the t.38 spec defines a UDP transport layer
UDPTL)

> o    specification of the above media stream types in SDP/SIP.
This is covered in the ITU-T document sent by sg-8 to IANA and summarized in
the above Internet Draft for reference only.  This is a first draft and
comments are welcome.

Jean-Francois Mule
Clarent Corporation

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, October 27, 2000 9:33 AM
> To: [email-masked]
> Subject: Request for information on using T.30/T.37/T.38 with
> SIP/SDP/RTP
> 
> 
> 
> 
> The 3Com Carrier Networks Business System Engineering group is working
> on
> extending and integrating some of our products to achieve greater
> functionality
> and better interworking in the areas of store-and-forward and 
> real-time
> facsimile transmission. Products in this area include facsimile
> applications
> systems and PSTN-Internet interworking gateways.
> 
> Does anyone know of any work that has been done or is being done or
> anyone that
> has done or is doing work in the areas of:
> o    specification of T.30/T.37/T.38 payload formats for RTP and other
> transport
> protocols; and
> o    specification of the above media stream types in SDP/SIP.
> 
> Any information you have on this would be greatly 
> approciated. Thank you
> in
> advance for your attention to this.
> 
> Jim Renkel
> Director, Advanced Technology & System Engineering
> 3Com Carrier Networks Business
>

---

From: David Yon <[email-masked]>
Date: Mon, 30 Oct 2000 15:53:40 -0500

I know that the I-D specifically defers the discussion of media transport 
using TCP rather than UDPTL, but at the same time it also refers to a new 
token "TCP" to be registered with IANA for use in SDP.  I am of the opinion 
that simply specifying "TCP" is insufficient to describe how TCP-based 
Media Transport is to be negotiated between two endpoints.

I've submitted an Internet Draft for the MMUSIC group which will hopefully 
be available in the IETF I-D area soon, but for the moment it can be read here:

ftp://ftp.dialout.net/drafts/draft-ietf-mmusic-sdp-tcpmedia-00.txt

So, in regards to the SIP/T.38 I-D, my only comment would be that it take 
into account the I-D on SDP/TCP.  Or at the very least, participate with 
better defining the SDP/TCP I-D such that is meets the needs of SIP/T.38 
when using TCP for Media Transport.  As such, any comments on the I-D above 
would be greatly appreciated.

Again, hopefully the draft will be in the IETF area soon, I don't know why 
it is taking so long to work through the queue.

>appreciated on this Internet-Draft.

David Yon
Chief Technical Officer
Dialout.Net, Inc.
[email-masked]